<?php
$this->PageTitle = 'Financeiro &raquo; Pedidos';

if(empty($model->TOKEN)) {
    $model->TOKEN = Util::uid();
}
$menus = array();
$menus[] = array('label' => FaHtml::iconExcel(),
                 'url' => array('generateExcelPedidos',
                                'token' => $model->TOKEN),
                 'linkOptions' => array('class' => 'novo exportar'));

$menus[] = array('label' => FaHtml::iconSetaClose(), 'url' => '#', 'linkOptions' => array('class' => 'search-button'));
$menus[] = array('label' => FaHtml::iconRefresh(), 'url' => 'javascript:void(0);', 'linkOptions' => array('onclick' => 'reloadFrame();', 'class' => 'refresh-button'));

$this->menu = $menus;

$dataProvider = $model->search();

?>

<div class="search-form" <?php if($dataProvider->totalItemCount > 0) echo 'style="display: none;"'; ?> >
    <?php $this->renderPartial('_search_pedidos', array('model' => $model)); ?>
</div><!-- search-form -->

<div id="multiFaturar">
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'multiFaturar-form',
            'action' => Yii::app()->createUrl('financeiro/faturamentoMultiplosPedidos'),
            'enableAjaxValidation' => true,
            'method' => 'get'
        ));
            echo "<input type=\"hidden\" name=\"codigos\" id=\"codigosFaturar\" value=\"\">";
            echo CHtml::submitButton("Faturar Selecionado(s)", array('class' => 'btn btn-success', 'id' => 'multiSubmit', 'style' => 'display:none'));
        $this->endWidget();
    ?>
    </form>
</div>

<?php
$this->widget('ext.Utils.widgets.CrmGridView', array(
	'id' => 'admin-grid',
	'dataProvider' => $dataProvider,
	'afterAjaxUpdate'=>'updated',
	'pager' => Util::getPagerDefaultConfig(),
	'columns' => array(
        array(
            'name' => 'multiSelecao',
            'value' => '$data->getInputMultiSelecao()',
            'type' => 'raw'
        ),
        array(
            'header' => 'Cod. Pedido',
            'name' => 'COV_IDCONTRATO',
            'value' => '$data->COV_IDCONTRATO',
        ),
        array(
            'header' => 'Cod. Vencimento',
            'name' => 'COV_IDVENCIMENTO',
        ),
		array(
			'name' => 'Contrato.COT_SITUACAO',
			'value' => '$data->getTipoDocumento(). (!empty($data->Contrato) ? $data->Contrato->getIconAssinatura() : "")',
			'type' => 'raw'
		),
		array(
			'name' => 'Contrato.COT_CLI_NOME',
			'value' => '$data->getCliente()',
		),
		array(
			'name' => 'Contrato.COT_CLI_CNPJCPF',
			'value' => 'Util::mask($data->getCpfCnpj(), Mask::DOCUMENTO)',
		),
		array(
			'name' => 'Contrato.Revenda',
			'value' => '$data->getRevenda()',
		),
		array(
			'name' => 'COV_VALOR',
        	'value' => 'Util::verMoeda($data->COV_VALOR)',
		),
        array(
			'header' => 'Data do vencimento',
			'name' => 'COV_DATA',
        	'value' => '$data->COV_DATA',
		),
        array(
			'header' => 'Status',
			'name' => 'Contrato.Status',
        	'value' => '(!empty($data->Contrato)) ? $data->Contrato->Status : "Não identificado"',
		),
        array(
			'header' => 'Faturamento',
			'name' => 'COV_FATURAMENTO',
			'value' => '$data->getFaturamento()',
		),
		array(
			'class' => 'CButtonColumn',
			'template'=>'{faturar} {atividade} {view}',
			'viewButtonOptions'=>array('target'=>'_blank'),
			'buttons'=>array(
				'faturar' => array(
                    'label' => 'Faturar',
                    'imageUrl' => FaHtml::getImgUrl("ico-rdm.png"),
                    'url' => 'Yii::app()->createUrl("financeiro/faturarVencimentoPedido",
                              array("id"=>$data->COV_IDVENCIMENTO))',
                    'options' => array('target' => '_blank'),
                    'visible' => '$data->getNaoFaturar()'
                ),
                'atividade' => array(
                    'label' => 'Inserir atividade',
                    'imageUrl' => FaHtml::getImgUrl('ico-solciitacoes.png'),
                    'url' => 'Yii::app()->createUrl("atendimentos/dcreate",
                             array("ATD_IDCLIENTE"=>$data->Contrato->COT_IDCLIENTE,
                                   "ATD_IDCONTRATO"=>$data->COV_IDCONTRATO,
                                   "retorno"=>"documentos"))',
                    'options' => array('target' => '_blank'),
                ),
				'view' => array(
                    'label' => 'Exibir',
                    'url' => 'Yii::app()->createUrl("contratos/view", array("id"=>$data->COV_IDCONTRATO))',
                    'visible' => '!empty($data->Contrato)'
                ),
			),
		),
	),
));

$cs = Yii::app()->clientScript;
$css = <<<CSS
    .alert {
        margin-top: 50px;
    }
    #multiFaturar {
        float: left;
        margin-top: 40px;
        margin-bottom: 5px;
    }
    #multiFaturar form {
        background-color: transparent;
        border: 0;
        padding: 0;
        margin: 0;
    }
    input.multiSelecao {
        display: block;
        margin: 0 auto;
    }
CSS;
$cs->registerCss('contratos_adendos', $css);

$script = <<<JAVASCRIPT
    $(document).on('change', '.multiSelecao', function(event) {
        $("#multiSubmit").parent().parent().removeClass('selected');
        if ($('.multiSelecao:checked').length) {
            $("#multiSubmit").fadeIn(400);
            var selecao = [];
            $.each($('.multiSelecao:checked'), function(index, val) {
                selecao[index] = $(this).data('codigo');
                $(this).parent().parent().addClass('selected');
            });

            $("#codigosFaturar").val(selecao);
        } else {
            $("#multiSubmit").fadeOut(400);
        }
    });

    $("#multiSubmit").click(function(event) {
        var codigos = $(this).siblings('input#codigosFaturar');
        if (codigos.val() == "") {
            return false;
        }
    });
JAVASCRIPT;
$cs->registerScript('contratos_adendos', $script);
